# FFI::addr

(PHP 7 >= 7.4.0)

FFI::addr — Creates an unmanaged pointer to C data

### Description

public static FFI::addr ( FFI\CData `&$ptr` ) : FFI\CData

Creates an unmanaged pointer to the C data represented by the given FFI\CData. The source `ptr` must survive the resulting pointer. This function is mainly useful to pass arguments to C functions by pointer.

### Parameters

`ptr`

  The handle of the pointer to a C data structure.

### Return Values

Returns the freshly created FFI\CData object.